%define upstream_name    Task-Tapper-Installer
%define upstream_version 0.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Tapper - dependencies for machine installer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Task/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Tapper::Installer)
BuildRequires: perl(Tapper::Remote)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This task installs the Tapper dependencies for the machine installer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.2.0-11.mga10
+ Revision: 2200750
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.2.0-10.mga9
+ Revision: 1805899
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-9.mga8
+ Revision: 1497263
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-8.mga7
+ Revision: 1271530
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-7.mga6
+ Revision: 1033815
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.2.0-6.mga6
+ Revision: 935021
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-5.mga5
+ Revision: 750898
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 686328
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 514948
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 373115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 342653
- update to 0.002

* Fri Oct 26 2012 shlomif <shlomif> 0.1.0-2.mga3
+ Revision: 310295
- Fix desc

* Fri Oct 26 2012 shlomif <shlomif> 0.1.0-1.mga3
+ Revision: 310260
- imported package perl-Task-Tapper-Installer


* Fri Oct 26 2012 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
